# Interface ReferenceObjects

#### Hierarchy

- ReferenceObjects

#####
Index

### Properties

end
label
shortDesc
start
svgClassName
svgStyle
type
value

## Properties

### end

end: string

The end time value of this reference object. See Date and Time Formats for more details on required string formats, and see type for more details.

### label

label: string

The label of this reference object to be shown. This is not supported for type "area".

### shortDesc

shortDesc: string

The description of this object. This is used for accessibility and also for customizing the tooltip text.

### start

start: string

The start time value of this reference object. See Date and Time Formats for more details on required string formats, and see type for more details.

### svgClassName

svgClassName: string

A space delimited list of CSS style classes defining the style of the reference object. Note that only CSS style applicable to SVG elements can be used.

### svgStyle

svgStyle: object

The CSS style defining the style of the reference object. Only SVG CSS style properties are supported.

### type

type: string

The type of reference object being shown. If the value is set to "area", use the start and end properties of the reference object. Otherwise, use the value property.

### value

value: string

The time value of this reference object. If not specified, no reference object will be shown. See Date and Time Formats for more details on required string formats.

Generated using TypeDoc